 #property indicator_separate_window
 #property indicator_buffers 2
 #property indicator_color1 Green
 #property indicator_color2 Red
 #property indicator_width1 1
 #property indicator_width2 1


 extern int periodo=128;
 
 double DOMANDA[];
 double OFFERTA[];
 double var_dom[];
 double var_off[];

 //+------------------------------------------------------------------+
 //| Custom indicator initialization function |
 //+------------------------------------------------------------------+
 int init()
    {
    IndicatorDigits(6);
    IndicatorBuffers(4);

    SetIndexBuffer(0,DOMANDA);
    SetIndexBuffer(1,OFFERTA);
    SetIndexBuffer(2,var_dom);
    SetIndexBuffer(3,var_off);

    return(0);
 }
 //+------------------------------------------------------------------+
 //| Custom indicator deinitialization function |
 //+------------------------------------------------------------------+
 int deinit()
 {
    //----

    //----
    return(0);
 }
 //+------------------------------------------------------------------+
 //| Custom indicator iteration function |
 //+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);

    for(int i=limit; i>=0; i--)
    {
      if (Close[i+1]!=0)
      {
         var_dom [i]= ((High[i]/Close[i+1])-1)*Volume[i];
         var_off [i]= ((Low[i]/Close[i+1])-1)*Volume[i] * (-1);
      }         
   }      
   for(i=limit; i>=0; i--)
   {
      DOMANDA[i] = iMAOnArray(var_dom,0,periodo,0,MODE_SMA,i);
      OFFERTA[i] = iMAOnArray(var_off,0,periodo,0,MODE_SMA,i);
   }
    return(0);
}